- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Infers and suggests connections between components within a space. The generated connection information can be used in application templates and designs.
HTTP request
POST https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*}:inferConnections
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the space. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "catalogTemplateRevisionUris": [ string ], "useGemini": boolean } |
| Fields | |
|---|---|
catalogTemplateRevisionUris[] |
Optional. A list of Catalog template revisions that you want to infer connections for. If you don't provide this, the system infers connections for the latest revisions of all catalog templates in all the catalogs present in the space. |
useGemini |
Optional. Whether to use Gemini. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
designcenter.catalogTemplates.update
For more information, see the IAM documentation.